<%= javascript_include_tag "interventions" %>

<%= form_for(@intervention) do |f| %>

	<% if @intervention.errors.any? %>
    <div id="error_explanation">
      <h2><%= pluralize(@intervention.errors.count, "error") %> prohibited this intervention from being saved:</h2>

      <ul>
      <% @intervention.errors.full_messages.each do |message| %>
        <li><%= message %></li>
      <% end %>
      </ul>
    </div>
  <% end %>

	<div class="titre_actif">
		<div class="toolbar">
			<%= button_tag "", type: "submit", class: "btn btn-primary fa fa-save fa-3x save-button", title: "Enregistrer" %>
		</div>

		<h1>Intervention</h1>
		<span class="title-tag">
			<i class="fa fa-clock-o fa-4x"></i>
		</span>
	</div>

	<div class="col-md-6">
		<div class="field input-group">
			<div class="control-group">
			  <div class="field input-group">
					<span class="input-group-addon" title="Partenaire"><i class="fa fa-user fa-fw"></i> Client</span>
		      <%= f.select(:partner_id, [], {}, class: "form-control", readonly: @intervention.accounted, onchange: "populate_projects(this);" ) do %>
						<%= content_tag(:option, "", value: nil) %>
		        <% @partners.each do |partner| %>
		          <%= content_tag(:option, partner.name, value: partner.id, selected: (partner.id==@intervention.partner_id)) %>
		        <% end %>
		  		<% end %>
		    </div>
		  </div>
		</div>
	</div>
	<div class="col-md-6">
		<div class="field input-group">
			<div class="control-group">
				<div class="field input-group">
					<span class="input-group-addon"><i class="fa fa-euro fa-fw"></i> Date demande</span>
					<%= f.text_field :intervention_date, class: "datetimepicker form-control", placeholder: "Date de la demande", readonly: @intervention.state>1, value: @intervention.request_date ? @intervention.request_date.strftime("%d/%m/%Y %H:%M") : DateTime.now.strftime("%d/%m/%Y %H:%M") %>
				</div>
			</div>
		</div>
	</div>
	<div class="col-md-12">
	  <div class="control-group">
		  <div class="field input-group">
				<span class="input-group-addon" title="Projet"><i class="fa fa-user fa-fw"></i> Projet</span>
	      <%= f.select(:project_id, [], {}, class: "form-control", readonly: @intervention.accounted, onchange: "change_facturable(this);" ) do %>
					<% if @intervention.partner %>
						<% @intervention.partner.projects.each do |project| %>
							<%= content_tag(:option, project.title, value: project.id, selected: (project.id==@intervention.project_id)) %>
						<% end %>
					<% end %>
				<% end %>
	    </div>
	  </div>
		<div class="control-group">
		  <div class="field input-group">
				<span class="input-group-addon" title="Description"><i class="fa fa-pencil fa-fw"></i> Demande</span>
	      <%= f.text_area :request, class: "form-control", readonly: @intervention.request %>
	    </div>
	  </div>
	  <div class="control-group">
		  <div class="field input-group">
				<span class="input-group-addon" title="Date de début"><i class="fa fa-calendar fa-fw"></i> Date prévue</span>
	      <%= f.text_field :intervention_date, class: "datetimepicker form-control", placeholder: "Date prévue", readonly: @intervention.state>1, value: @intervention.expected_date ? @intervention.expected_date.strftime("%d/%m/%Y %H:%M") : DateTime.now.strftime("%d/%m/%Y %H:%M") %>
	    </div>
	  </div>
	</div>
	<div class="col-md-6">
		<div class="control-group">
		  <div class="field input-group">
				<span class="input-group-addon" title="Date de début"><i class="fa fa-calendar fa-fw"></i> Date intervention</span>
	      <%= f.text_field :intervention_date, class: "datetimepicker form-control", placeholder: "Date prévue", readonly: @intervention.state>1, value: @intervention.expected_date ? @intervention.expected_date.strftime("%d/%m/%Y %H:%M") : DateTime.now.strftime("%d/%m/%Y %H:%M") %>
	    </div>
	  </div>
	</div>
	<div class="col-md-6">
	  <div class="control-group">
		  <div class="field input-group">
				<span class="input-group-addon" title="Date de fin"><i class="fa fa-clock-o fa-fw"></i> Durée (en h)</span>
	      <%= f.text_field :duration, class: "form-control", placeholder: "Durée", readonly: @intervention.state>2, value: @intervention.duration.to_f %>
	    </div>
	  </div>
	</div>
	<div class="col-md-12">
	  <div class="control-group">
		  <div class="field input-group">
				<span class="input-group-addon" title="Description"><i class="fa fa-pencil fa-fw"></i> Détails intervention</span>
	      <%= f.text_area :details, class: "form-control", readonly: @intervention.state>2 %>
	    </div>
	  </div>
	  <div class="control-group">
		  <div class="field input-group">
				<span class="input-group-addon" title="Commentaire"><i class="fa fa-pencil fa-fw"></i> Commentaires</span>
	      <%= f.text_area :comment, class: "form-control", readonly: @intervention.state>2 %>
	    </div>
	  </div>
	  <div class="control-group">
			<div class="field input-group">
        <strong>Facturable ?</strong>
        <%= f.check_box :billable, value: @intervention.billable  ? 1 : 0, class: "my-checkbox" %><br>
      </div>
	  </div>

	  <% if @intervention.accounted %>
	    <div class="control-group">
	  	  <div class="field input-group">
	        <span class="input-group-addon"><%= f.check_box :accounted %></span>
	        <%= f.label "Comptabilisée", class: "form-control" %>
	    </div>
	  <% end %>

	</div>

<% end %>
